a,b,c,n,t,x,y= symbols('a b c n t x y ')
lst=[["x**n",x,1,"x**(1+n)/(1+n)"],
["exp(x)",x,1,"exp(x)"],
["1/x",x,1,"ln(x)"],
["a**x",x,1,"a**x/ln(a)"],
["sin(x)",x,1,"-cos(x)"],
["cos(x)",x,1,"sin(x)"],
["sec(x)**2",x,2,"tan(x)"],
["csc(x)**2",x,2,"-cot(x)"],
["sec(x)*tan(x)",x,2,"sec(x)"],
["cot(x)*csc(x)",x,2,"-csc(x)"],
["sinh(x)",x,1,"cosh(x)"],
["cosh(x)",x,1,"sinh(x)"],
["tan(x)",x,1,"-ln(cos(x))"],
["cot(x)",x,1,"ln(sin(x))"],
["x*sin(x)",x,2,"-x*cos(x)+sin(x)"],
["ln(x)",x,1,"-x+x*ln(x)"],
["exp(x)*x**2",x,3,"2*exp(x)-2*exp(x)*x+exp(x)*x**2"],
["exp(x)*sin(x)",x,1,"-1/2*exp(x)*cos(x)+1/2*exp(x)*sin(x)"],
["atan(x)",x,2,"x*atan(x)-1/2*ln(x**2+1)"],
["exp(2*x)*x",x,2,"-1/4*exp(2*x)+1/2*exp(2*x)*x"],
["x*cos(x)",x,2,"cos(x)+x*sin(x)"],
["x*sin(4*x)",x,2,"-1/4*x*cos(4*x)+1/16*sin(4*x)"],
["x*ln(x)",x,1,"-1/4*x**2+1/2*x**2*ln(x)"],
["x**2*cos(3*x)",x,3,"2/9*x*cos(3*x)-2/27*sin(3*x)+1/3*x**2*sin(3*x)"],
["x**2*sin(2*x)",x,3,"1/4*cos(2*x)-1/2*x**2*cos(2*x)+1/2*x*sin(2*x)"],
["ln(x)**2",x,2,"2*x-2*x*ln(x)+x*ln(x)**2"],
["asin(x)",x,2,"x*asin(x)+(-x**2+1)**(1/2)"],
["t*cos(t)*sin(t)",t,3,"-1/4*t+1/4*cos(t)*sin(t)+1/2*t*sin(t)**2"],
["t*sec(t)**2",t,2,"ln(cos(t))+t*tan(t)"],
["t**2*ln(t)",t,1,"-1/9*t**3+1/3*t**3*ln(t)"],
["exp(t)*t**3",t,4,"-6*exp(t)+6*exp(t)*t-3*exp(t)*t**2+exp(t)*t**3"],
["exp(2*t)*sin(3*t)",t,1,"-3/13*exp(2*t)*cos(3*t)+2/13*exp(2*t)*sin(3*t)"],
["cos(3*t)/exp(t)",t,1,"-1/10*cos(3*t)/exp(t)+3/10*sin(3*t)/exp(t)"],
["y*sinh(y)",y,2,"y*cosh(y)-sinh(y)"],
["y*cosh(a*y)",y,2,"-cosh(a*y)/a**2+y*sinh(a*y)/a"],
["t/exp(t)",t,2,"-1/exp(t)-t/exp(t)"],
["ln(t)*t**(1/2)",t,1,"-4/9*t**(3/2)+2/3*t**(3/2)*ln(t)"],
["x*cos(2*x)",x,2,"1/4*cos(2*x)+1/2*x*sin(2*x)"],
["x**2/exp(x)",x,3,"-2/exp(x)-2*x/exp(x)-x**2/exp(x)"],
["acos(x)",x,2,"x*acos(x)-(-x**2+1)**(1/2)"],
["x*csc(x)**2",x,2,"-x*cot(x)+ln(sin(x))"],
["cos(5*x)*sin(3*x)",x,1,"1/4*cos(2*x)-1/16*cos(8*x)"],
["sin(2*x)*sin(4*x)",x,1,"1/4*sin(2*x)-1/12*sin(6*x)"],
["cos(x)*ln(sin(x))",x,2,"-sin(x)+ln(sin(x))*sin(x)"],
["exp(x**2)*x**3",x,2,"-1/2*exp(x**2)+1/2*exp(x**2)*x**2"],
["exp(x)*(3+2*x)",x,2,"-2*exp(x)+exp(x)*(3+2*x)"],
["5**x*x",x,2,"-5**x/ln(5)**2+5**x*x/ln(5)"],
["cos(ln(x))",x,1,"1/2*x*cos(ln(x))+1/2*x*sin(ln(x))"],
["exp(x**(1/2))",x,3,"-2*exp(x**(1/2))+2*exp(x**(1/2))*x**(1/2)"],
["1/2*ln(x)",x,1,"-1/2*x+1/2*x*ln(x)"],
["sin(ln(x))",x,1,"-1/2*x*cos(ln(x))+1/2*x*sin(ln(x))"],
["sin(x**(1/2))",x,3,"2*sin(x**(1/2))-2*cos(x**(1/2))*x**(1/2)"],
["x**5*cos(x**3)",x,3,"1/3*cos(x**3)+1/3*x**3*sin(x**3)"],
["exp(x**2)*x**5",x,3,"exp(x**2)-exp(x**2)*x**2+1/2*exp(x**2)*x**4"],
["x*atan(x)",x,3,"-1/2*x+1/2*atan(x)+1/2*x**2*atan(x)"],
["x*cos(pi*x)",x,2,"cos(pi*x)/pi**2+x*sin(pi*x)/pi"],
["ln(x)*x**(1/2)",x,1,"-4/9*x**(3/2)+2/3*x**(3/2)*ln(x)"],
["sin(3*x)**2",x,2,"1/2*x-1/6*cos(3*x)*sin(3*x)"],
["cos(x)**2",x,2,"1/2*x+1/2*cos(x)*sin(x)"],
["cos(x)**4",x,3,"3/8*x+3/8*cos(x)*sin(x)+1/4*cos(x)**3*sin(x)"],
["sin(x)**3",x,2,"-cos(x)+1/3*cos(x)**3"],
["cos(x)**4*sin(x)**3",x,3,"-1/5*cos(x)**5+1/7*cos(x)**7"],
["cos(x)**3*sin(x)**4",x,3,"1/5*sin(x)**5-1/7*sin(x)**7"],
["cos(x)**2*sin(x)**4",x,4,"1/16*x+1/16*cos(x)*sin(x)-1/8*cos(x)**3*sin(x)-1/6*cos(x)**3*sin(x)**3"],
["cos(x)**2*sin(x)**2",x,3,"1/8*x+1/8*cos(x)*sin(x)-1/4*cos(x)**3*sin(x)"],
["(1-sin(2*x))**2",x,1,"3/2*x+cos(2*x)-1/4*cos(2*x)*sin(2*x)"],
["cos(x)*sin(1/6*pi+x)",x,3,"1/4*x-1/4*cos(1/6*pi+2*x)"],
["cos(x)**5*sin(x)**5",x,4,"1/6*sin(x)**6-1/4*sin(x)**8+1/10*sin(x)**10"],
["sin(x)**6",x,4,"5/16*x-5/16*cos(x)*sin(x)-5/24*cos(x)*sin(x)**3-1/6*cos(x)*sin(x)**5"],
["cos(x)**6",x,4,"5/16*x+5/16*cos(x)*sin(x)+5/24*cos(x)**3*sin(x)+1/6*cos(x)**5*sin(x)"],
["cos(2*x)**4*sin(2*x)**2",x,4,"1/16*x+1/32*cos(2*x)*sin(2*x)+1/48*cos(2*x)**3*sin(2*x)-1/12*cos(2*x)**5*sin(2*x)"],
["sin(x)**5",x,2,"-cos(x)+2/3*cos(x)**3-1/5*cos(x)**5"],
["cos(x)**4*sin(x)**4",x,5,"3/128*x+3/128*cos(x)*sin(x)+1/64*cos(x)**3*sin(x)-1/16*cos(x)**5*sin(x)-1/8*cos(x)**5*sin(x)**3"],
["sin(x)**3*cos(x)**(1/2)",x,3,"-2/3*cos(x)**(3/2)+2/7*cos(x)**(7/2)"],
["cos(x)**3*sin(x)**(1/2)",x,3,"2/3*sin(x)**(3/2)-2/7*sin(x)**(7/2)"],
["cos(x**(1/2))**2/x**(1/2)",x,3,"cos(x**(1/2))*sin(x**(1/2))+x**(1/2)"],
["x*sin(x**2)**3",x,3,"-1/2*cos(x**2)+1/6*cos(x**2)**3"],
["cos(x)**2*tan(x)**3",x,3,"1/2*cos(x)**2-ln(cos(x))"],
["cot(x)**5*sin(x)**2",x,4,"-1/2*csc(x)**2-2*ln(sin(x))+1/2*sin(x)**2"],
["(1-sin(x))/cos(x)",x,2,"ln(1+sin(x))"],
["1/(1-sin(x))",x,1,"cos(x)/(1-sin(x))"],
["tan(x)**2",x,2,"-x+tan(x)"],
["tan(x)**4",x,3,"x-tan(x)+1/3*tan(x)**3"],
["sec(x)**4",x,2,"tan(x)+1/3*tan(x)**3"],
["sec(x)**6",x,2,"tan(x)+2/3*tan(x)**3+1/5*tan(x)**5"],
["sec(x)**2*tan(x)**4",x,2,"1/5*tan(x)**5"],
["sec(x)**4*tan(x)**2",x,3,"1/3*tan(x)**3+1/5*tan(x)**5"],
["sec(x)**3*tan(x)",x,2,"1/3*sec(x)**3"],
["sec(x)**3*tan(x)**3",x,3,"-1/3*sec(x)**3+1/5*sec(x)**5"],
["tan(x)**5",x,3,"-ln(cos(x))-1/2*tan(x)**2+1/4*tan(x)**4"],
["tan(x)**6",x,4,"-x+tan(x)-1/3*tan(x)**3+1/5*tan(x)**5"],
["sec(x)*tan(x)**5",x,3,"sec(x)-2/3*sec(x)**3+1/5*sec(x)**5"],
["sec(x)**3*tan(x)**5",x,3,"1/3*sec(x)**3-2/5*sec(x)**5+1/7*sec(x)**7"],
["sec(x)**6*tan(x)",x,2,"1/6*sec(x)**6"],
["sec(x)**6*tan(x)**3",x,3,"-1/6*sec(x)**6+1/8*sec(x)**8"],
["sec(x)**2/cot(x)",x,2,"1/2*sec(x)**2"],
["sec(x)*tan(x)**2",x,2,"-1/2*atanh(sin(x))+1/2*sec(x)*tan(x)"],
["cot(x)**2",x,2,"-x-cot(x)"],
["cot(x)**3",x,2,"-1/2*cot(x)**2-ln(sin(x))"],
["cot(x)**4*csc(x)**4",x,3,"-1/5*cot(x)**5-1/7*cot(x)**7"],
["cot(x)**3*csc(x)**4",x,3,"1/4*csc(x)**4-1/6*csc(x)**6"],
["csc(x)",x,1,"-atanh(cos(x))"],
["csc(x)**3",x,2,"-1/2*atanh(cos(x))-1/2*cot(x)*csc(x)"],
["cos(x)**2/sin(x)",x,3,"-atanh(cos(x))+cos(x)"],
["1/sin(x)**4",x,2,"-cot(x)-1/3*cot(x)**3"],
["sin(2*x)*sin(5*x)",x,1,"1/6*sin(3*x)-1/14*sin(7*x)"],
["cos(x)*sin(3*x)",x,1,"-1/4*cos(2*x)-1/8*cos(4*x)"],
["cos(3*x)*cos(4*x)",x,1,"1/2*sin(x)+1/14*sin(7*x)"],
["sin(3*x)*sin(6*x)",x,1,"1/6*sin(3*x)-1/18*sin(9*x)"],
["cos(x)**5*sin(x)",x,2,"-1/6*cos(x)**6"],
["cos(x)*cos(2*x)*cos(3*x)",x,5,"1/4*x+1/8*sin(2*x)+1/16*sin(4*x)+1/24*sin(6*x)"],
["(1-tan(x)**2)/sec(x)**2",x,2,"cos(x)*sin(x)"],
["(cos(x)+sin(x))/sin(2*x)",x,6,"-1/2*atanh(cos(x))+1/2*atanh(sin(x))"],
["sin(x)**2*tan(x)",x,3,"1/2*cos(x)**2-ln(cos(x))"],
["cos(x)**2*cot(x)**3",x,4,"-1/2*csc(x)**2-2*ln(sin(x))+1/2*sin(x)**2"],
["sec(x)**3*tan(x)",x,2,"1/3*sec(x)**3"],
["sec(x)**3*tan(x)**3",x,3,"-1/3*sec(x)**3+1/5*sec(x)**5"],
["(-x**2+9)**(1/2)/x**2",x,2,"-asin(1/3*x)-(-x**2+9)**(1/2)/x"],
["1/x**2/(x**2+4)**(1/2)",x,1,"-1/4*(x**2+4)**(1/2)/x"],
["x/(x**2+4)**(1/2)",x,1,"(x**2+4)**(1/2)"],
["1/(-a**2+x**2)**(1/2)",x,2,"atanh(x/(-a**2+x**2)**(1/2))"],
["x**3/(4*x**2+9)**(3/2)",x,3,"9/16/(4*x**2+9)**(1/2)+1/16*(4*x**2+9)**(1/2)"],
["x/(-x**2-2*x+3)**(1/2)",x,3,"-asin(1/2+1/2*x)-(-x**2-2*x+3)**(1/2)"],
["1/x**2/(-x**2+1)**(1/2)",x,1,"-(-x**2+1)**(1/2)/x"],
["x**3*(-x**2+4)**(1/2)",x,3,"-4/3*(-x**2+4)**(3/2)+1/5*(-x**2+4)**(5/2)"],
["x/(-x**2+1)**(1/2)",x,1,"-(-x**2+1)**(1/2)"],
["x*(-x**2+4)**(1/2)",x,1,"-1/3*(-x**2+4)**(3/2)"],
["(-4*x**2+1)**(1/2)",x,2,"1/4*asin(2*x)+1/2*x*(-4*x**2+1)**(1/2)"],
["x**3/(x**2+4)**(1/2)",x,3,"1/3*(x**2+4)**(3/2)-4*(x**2+4)**(1/2)"],
["1/(x**2+9)**(1/2)",x,1,"asinh(1/3*x)"],
["(x**2+1)**(1/2)",x,2,"1/2*asinh(x)+1/2*x*(x**2+1)**(1/2)"],
["1/x**3/(x**2-16)**(1/2)",x,4,"1/128*atan(1/4*(x**2-16)**(1/2))+1/32*(x**2-16)**(1/2)/x**2"],
["(-a**2+x**2)**(1/2)/x**4",x,1,"1/3*(-a**2+x**2)**(3/2)/a**2/x**3"],
["(9*x**2-4)**(1/2)/x",x,4,"-2*atan(1/2*(9*x**2-4)**(1/2))+(9*x**2-4)**(1/2)"],
["1/x**2/(16*x**2-9)**(1/2)",x,1,"1/9*(16*x**2-9)**(1/2)/x"],
["x**2/(a**2-x**2)**(3/2)",x,3,"-atan(x/(a**2-x**2)**(1/2))+x/(a**2-x**2)**(1/2)"],
["x**2/(-x**2+5)**(1/2)",x,2,"5/2*asin(1/5*x*5**(1/2))-1/2*x*(-x**2+5)**(1/2)"],
["1/x/(x**2+3)**(1/2)",x,3,"-1/3*atanh(1/3*(x**2+3)**(1/2)*3**(1/2))*3**(1/2)"],
["x/(x**2+4)**(5/2)",x,1,"-1/3/(x**2+4)**(3/2)"],
["x**3*(-9*x**2+4)**(1/2)",x,3,"-4/243*(-9*x**2+4)**(3/2)+1/405*(-9*x**2+4)**(5/2)"],
["x**2*(-x**2+9)**(1/2)",x,3,"81/8*asin(1/3*x)-9/8*x*(-x**2+9)**(1/2)+1/4*x**3*(-x**2+9)**(1/2)"],
["5*x*(x**2+1)**(1/2)",x,2,"5/3*(x**2+1)**(3/2)"],
["1/(4*x**2-25)**(3/2)",x,1,"-1/25*x/(4*x**2-25)**(1/2)"],
["(-x**2+2*x)**(1/2)",x,3,"1/2*asin(-1+x)-1/2*(1-x)*(-x**2+2*x)**(1/2)"],
["1/(x**2+4*x+8)**(1/2)",x,2,"asinh(1+1/2*x)"],
["1/(9*x**2+6*x-8)**(1/2)",x,2,"1/3*atanh((1+3*x)/(9*x**2+6*x-8)**(1/2))"],
["x**2/(-x**2+4*x)**(1/2)",x,4,"6*asin(-1+1/2*x)-3*(-x**2+4*x)**(1/2)-1/2*x*(-x**2+4*x)**(1/2)"],
["1/(x**2+2*x+2)**2",x,3,"1/2*(1+x)/(x**2+2*x+2)+1/2*atan(1+x)"],
["1/(-x**2-4*x+5)**(5/2)",x,2,"1/27*(2+x)/(-x**2-4*x+5)**(3/2)+2/243*(2+x)/(-x**2-4*x+5)**(1/2)"],
["exp(t)*(9-exp(2*t))**(1/2)",t,3,"9/2*asin(1/3*exp(t))+1/2*exp(t)*(9-exp(2*t))**(1/2)"],
["(-9+exp(2*t))**(1/2)",t,4,"-3*atan(1/3*(-9+exp(2*t))**(1/2))+(-9+exp(2*t))**(1/2)"],
["1/(a**2+x**2)**(1/2)",x,2,"atanh(x/(a**2+x**2)**(1/2))"],
["(5+x)/(x**2+x-2)",x,3,"2*ln(1-x)-ln(2+x)"],
["(x**3+x)/(-1+x)",x,3,"2*x+1/2*x**2+1/3*x**3+2*ln(1-x)"],
["(x**2+2*x-1)/(2*x**3+3*x**2-2*x)",x,3,"1/10*ln(1-2*x)+1/2*ln(x)-1/10*ln(2+x)"],
["(x**4-2*x**2+4*x+1)/(x**3-x**2-x+1)",x,2,"2/(1-x)+x+1/2*x**2+ln(1-x)-ln(1+x)"],
["(2*x**2-x+4)/(x**3+4*x)",x,6,"-1/2*atan(1/2*x)+ln(x)+1/2*ln(x**2+4)"],
["(4*x**2-3*x+2)/(4*x**2-4*x+3)",x,6,"x+1/8*ln(4*x**2-4*x+3)+1/8*atan(1/2*(1-2*x)*2**(1/2))*2**(1/2)"],
["(x**3+x**2+1)/(-1+x)/x/(x**2+1)**3/(x**2+x+1)",x,14,"1/8*(1+x)/(x**2+1)**2-3/8*(1-x)/(x**2+1)+3/16*x/(x**2+1)+7/16*atan(x)+1/8*ln(1-x)-ln(x)+15/16*ln(x**2+1)-1/2*ln(x**2+x+1)-1/3*atan(1/3*(1+2*x)*3**(1/2))*3**(1/2)"],
["(-x**3+2*x**2-3*x+1)/x/(x**2+1)**2",x,6,"1/2*(-1-2*x)/(x**2+1)-2*atan(x)+ln(x)-1/2*ln(x**2+1)"],
["1/(x**2+1)**2",x,2,"1/2*x/(x**2+1)+1/2*atan(x)"],
["1/(-1+x)/(2+x)",x,3,"1/3*ln(1-x)-1/3*ln(2+x)"],
["7/(2*x**2+5*x-12)",x,4,"7/11*ln(3-2*x)-7/11*ln(4+x)"],
["(x**2+3*x-4)/(-1+2*x)**2/(3+2*x)",x,2,"-9/32/(1-2*x)+41/128*ln(1-2*x)-25/128*ln(3+2*x)"],
["(x**3-x**2)/(-6+x)/(3+5*x)**3",x,3,"-12/1375/(3+5*x)**2+201/15125/(3+5*x)+20/3993*ln(6-x)+1493/499125*ln(3+5*x)"],
["1/(x**4-x**3)",x,3,"1/2/x**2+1/x+ln(1-x)-ln(x)"],
["(x**4+x**3-x**2-x+1)/(x**3-x)",x,4,"x+1/2*x**2-ln(x)+1/2*ln(-x**2+1)"],
["(x**2-2)/x/(x**2+2)",x,3,"-ln(x)+ln(x**2+2)"],
["(x**3-4*x**2+2)/(x**2+1)/(x**2+2)",x,8,"6*atan(x)-1/2*ln(x**2+1)+ln(x**2+2)-5*atan(1/2*x*2**(1/2))*2**(1/2)"],
["(x**4+x**2+1)/(x**2+1)/(x**2+4)**2",x,6,"-13/24*x/(x**2+4)+25/144*atan(1/2*x)+1/9*atan(x)"],
["(1+16*x)/(5+x)**2/(-3+2*x)/(x**2+x+1)",x,6,"-79/273/(5+x)+200/3211*ln(3-2*x)+2731/24843*ln(5+x)-481/5586*ln(x**2+x+1)+451/8379*atan(1/3*(1+2*x)*3**(1/2))*3**(1/2)"],
["x**4/(x**2+9)**3",x,3,"-1/4*x**3/(x**2+9)**2-3/8*x/(x**2+9)+1/8*atan(1/3*x)"],
["19*x/(-1+x)**3/(4*x**2+5*x+3)**2",x,8,"-399/736/(1-x)**2-1843/4416/(1-x)+19/276*(39+44*x)/(1-x)**2/(4*x**2+5*x+3)+209/2304*ln(1-x)-209/4608*ln(4*x**2+5*x+3)+114437/1218816*atan(1/23*(5+8*x)*23**(1/2))*23**(1/2)"],
["(x**3+x**2+1)/(x**4+x**3+2*x**2)",x,7,"-1/2/x-1/4*ln(x)+5/8*ln(x**2+x+2)+1/28*atan(1/7*(1+2*x)*7**(1/2))*7**(1/2)"],
["1/(x**6-x**3)",x,8,"1/2/x**2+1/3*ln(1-x)-1/6*ln(x**2+x+1)-1/3*atan(1/3*(1+2*x)*3**(1/2))*3**(1/2)"],
["x**2/(1+x)",x,2,"-x+1/2*x**2+ln(1+x)"],
["x/(-5+x)",x,2,"x+5*ln(5-x)"],
["(-1+4*x)/(-1+x)/(2+x)",x,2,"ln(1-x)+3*ln(2+x)"],
["1/(1+x)/(2+x)",x,3,"ln(1+x)-ln(2+x)"],
["(-5+6*x)/(3+2*x)",x,2,"3*x-7*ln(3+2*x)"],
["1/(a+x)/(b+x)",x,3,"-ln(a+x)/(a-b)+ln(b+x)/(a-b)"],
["(x**2+1)/(x**2-x)",x,3,"x+2*ln(1-x)-ln(x)"],
["(x**3+x**2-12*x+1)/(x**2+x-12)",x,5,"1/2*x**2+1/7*ln(3-x)-1/7*ln(4+x)"],
["(3+2*x)/(1+x)**2",x,2,"-1/(1+x)+2*ln(1+x)"],
["1/x/(1+x)/(3+2*x)",x,2,"1/3*ln(x)-ln(1+x)+2/3*ln(3+2*x)"],
["(6*x**2+5*x-3)/(x**3+2*x**2-3*x)",x,3,"2*ln(1-x)+ln(x)+3*ln(3+x)"],
["x/(x**2+4*x+4)",x,3,"2/(2+x)+ln(2+x)"],
["1/(-1+x)**2/(4+x)",x,2,"1/5/(1-x)-1/25*ln(1-x)+1/25*ln(4+x)"],
["x**2/(-3+x)/(2+x)**2",x,2,"4/5/(2+x)+9/25*ln(3-x)+16/25*ln(2+x)"],
["(5*x**2+3*x-2)/(x**3+2*x**2)",x,3,"1/x+2*ln(x)+3*ln(2+x)"],
["(-4*x**2-2*x+18)/(x**3+4*x**2+x-6)",x,2,"ln(1-x)-2*ln(2+x)-3*ln(3+x)"],
["(x**2+2*x)/(x**3+3*x**2+4)",x,1,"1/3*ln(x**3+3*x**2+4)"],
["1/(-1+x)**2/x**2",x,2,"1/(1-x)-1/x-2*ln(1-x)+2*ln(x)"],
["x**2/(1+x)**3",x,2,"-1/2/(1+x)**2+2/(1+x)+ln(1+x)"],
["1/(x**4-x**2)",x,3,"1/x-atanh(x)"],
["(2*x**3-x)/(x**4-x**2+1)",x,1,"1/2*ln(x**4-x**2+1)"],
["x**3/(x**2+1)",x,3,"1/2*x**2-1/2*ln(x**2+1)"],
["(-1+x)/(x**2+2*x+2)",x,4,"-2*atan(1+x)+1/2*ln(x**2+2*x+2)"],
["x/(x**2+x+1)",x,4,"1/2*ln(x**2+x+1)-1/3*atan(1/3*(1+2*x)*3**(1/2))*3**(1/2)"],
["(4*x**2+5*x+7)/(4*x**2+4*x+5)",x,6,"x+3/8*atan(1/2+x)+1/8*ln(4*x**2+4*x+5)"],
["(3*x**2-4*x+5)/(-1+x)/(x**2+1)",x,5,"-3*atan(x)+2*ln(1-x)+1/2*ln(x**2+1)"],
["(3+2*x)/(x**3+3*x)",x,6,"ln(x)-1/2*ln(x**2+3)+2/3*atan(1/3*x*3**(1/2))*3**(1/2)"],
["1/(x**3-1)",x,6,"1/3*ln(1-x)-1/6*ln(x**2+x+1)-1/3*atan(1/3*(1+2*x)*3**(1/2))*3**(1/2)"],
["x**3/(x**3+1)",x,7,"x-1/3*ln(1+x)+1/6*ln(x**2-x+1)+1/3*atan(1/3*(1-2*x)*3**(1/2))*3**(1/2)"],
["(x**2-2*x-1)/(-1+x)**2/(x**2+1)",x,5,"1/(-1+x)+atan(x)+ln(1-x)-1/2*ln(x**2+1)"],
["x**4/(x**4-1)",x,4,"x-1/2*atan(x)-1/2*atanh(x)"],
["(3*x**3-x**2+6*x-4)/(x**2+1)/(x**2+2)",x,6,"-3*atan(x)+3/2*ln(x**2+1)+atan(1/2*x*2**(1/2))*2**(1/2)"],
["(x**3-2*x**2+x+1)/(x**4+5*x**2+4)",x,7,"-3/2*atan(1/2*x)+atan(x)+1/2*ln(x**2+4)"],
["(-3+x)/(x**2+2*x+4)**2",x,3,"1/6*(-7-4*x)/(x**2+2*x+4)-2/9*atan(1/3*(1+x)*3**(1/2))*3**(1/2)"],
["(x**4+1)/x/(x**2+1)**2",x,3,"1/(x**2+1)+ln(x)"],
["cos(x)*(-3+2*sin(x))/(2-3*sin(x)+sin(x)**2)",x,2,"ln(2-3*sin(x)+sin(x)**2)"],
["cos(x)**2*sin(x)/(5+cos(x)**2)",x,3,"-cos(x)+atan(1/5*cos(x)*5**(1/2))*5**(1/2)"],
["1/(x**2+2*x-3)",x,3,"1/4*ln(1-x)-1/4*ln(3+x)"],
["1/(x**2-2*x)",x,1,"1/2*ln(2-x)-1/2*ln(x)"],
["(1+2*x)/(4*x**2+12*x-7)",x,3,"1/8*ln(1-2*x)+3/8*ln(7+2*x)"],
["x/(x**2+x-1)",x,3,"1/10*ln(1+2*x-5**(1/2))*(5-5**(1/2))+1/10*ln(1+2*x+5**(1/2))*(5+5**(1/2))"],
["(4*x**3-27*x**2+5*x-32)/(30*x**5-13*x**4+50*x**3-286*x**2-299*x-70)",x,6,"-3146/80155*ln(7-3*x)-334/323*ln(1+2*x)+4822/4879*ln(2+5*x)+11049/260015*ln(x**2+x+5)+3988/260015*atan(1/19*(1+2*x)*19**(1/2))*19**(1/2)"],
["(12*x**5-7*x**3-13*x**2+8)/(100*x**6-80*x**5+116*x**4-80*x**3+41*x**2-20*x+4)",x,7,"5828/9075/(2-5*x)+1/1452*(-313-502*x)/(2*x**2+1)-59096/99825*ln(2-5*x)+2843/7986*ln(2*x**2+1)+503/15972*atan(x*2**(1/2))*2**(1/2)"],
["(4+x)**(1/2)/x",x,3,"-4*atanh(1/2*(4+x)**(1/2))+2*(4+x)**(1/2)"],
["1/(-1/x**(1/3)+x**(1/2))",x,9,"6/5*ln(1-x**(1/6))-3/10*ln(2+x**(1/6)+2*x**(1/3)+x**(1/6)*5**(1/2))*(-5**(1/2)+1)-3/10*ln(2+x**(1/6)+2*x**(1/3)-x**(1/6)*5**(1/2))*(5**(1/2)+1)+2*x**(1/2)+3/5*atan((1+4*x**(1/6)-5**(1/2))/(10+2*5**(1/2))**(1/2))*(10-2*5**(1/2))**(1/2)-3/5*atan(1/20*(1+4*x**(1/6)+5**(1/2))*(50+10*5**(1/2))**(1/2))*(10+2*5**(1/2))**(1/2)"],
["1/(-4*cos(x)+3*sin(x))",x,2,"-1/5*atanh(3/5*cos(x)+4/5*sin(x))"],
["1/(1+x**(1/2))",x,3,"-2*ln(1+x**(1/2))+2*x**(1/2)"],
["1/(1+1/x**(1/3))",x,3,"3*x**(1/3)-3/2*x**(2/3)+x-3*ln(1+1/x**(1/3))-ln(x)"],
["x**(1/2)/(1+x)",x,3,"-2*atan(x**(1/2))+2*x**(1/2)"],
["1/x/(1+x)**(1/2)",x,2,"-2*atanh((1+x)**(1/2))"],
["1/(-x**(1/3)+x)",x,2,"3/2*ln(1-x**(2/3))"],
["1/(x-(2+x)**(1/2))",x,4,"4/3*ln(2-(2+x)**(1/2))+2/3*ln(1+(2+x)**(1/2))"],
["x**2/(-1+x)**(1/2)",x,2,"4/3*(-1+x)**(3/2)+2/5*(-1+x)**(5/2)+2*(-1+x)**(1/2)"],
["(-1+x)**(1/2)/(1+x)",x,3,"-2*atan(1/2*(-1+x)**(1/2)*2**(1/2))*2**(1/2)+2*(-1+x)**(1/2)"],
["1/(1+x**(1/2))**(1/2)",x,3,"4/3*(1+x**(1/2))**(3/2)-4*(1+x**(1/2))**(1/2)"],
["x**(1/2)/(x**2+x)",x,3,"2*atan(x**(1/2))"],
["(1+x**(1/2))/(-1+x**(1/2))",x,3,"x+4*ln(1-x**(1/2))+4*x**(1/2)"],
["(1+1/x**(1/3))/(-1+1/x**(1/3))",x,4,"-6*x**(1/3)-3*x**(2/3)-x-6*ln(1-x**(1/3))"],
["x**3/(x**2+1)**(1/3)",x,3,"-3/4*(x**2+1)**(2/3)+3/10*(x**2+1)**(5/3)"],
["x**(1/2)/(-1/x**(1/3)+x**(1/2))",x,10,"6*x**(1/6)+x+6/5*ln(1-x**(1/6))-3/10*ln(2+x**(1/6)+2*x**(1/3)-x**(1/6)*5**(1/2))*(-5**(1/2)+1)-3/10*ln(2+x**(1/6)+2*x**(1/3)+x**(1/6)*5**(1/2))*(5**(1/2)+1)-3/5*atan(1/20*(1+4*x**(1/6)+5**(1/2))*(50+10*5**(1/2))**(1/2))*(10-2*5**(1/2))**(1/2)-3/5*atan((1+4*x**(1/6)-5**(1/2))/(10+2*5**(1/2))**(1/2))*(10+2*5**(1/2))**(1/2)"],
["1/(1/x**(1/4)+x**(1/2))",x,9,"4/3*ln(1+x**(1/4))-2/3*ln(1-x**(1/4)+x**(1/2))+4/3*atan(1/3*(1-2*x**(1/4))*3**(1/2))*3**(1/2)+2*x**(1/2)"],
["1/(1/x**(1/3)+1/x**(1/4))",x,4,"12*x**(1/12)-6*x**(1/6)+4*x**(1/4)-3*x**(1/3)+12/5*x**(5/12)+12/7*x**(7/12)-3/2*x**(2/3)+4/3*x**(3/4)-6/5*x**(5/6)+12/11*x**(11/12)-x+12/13*x**(13/12)-6/7*x**(7/6)+4/5*x**(5/4)-12*ln(1+x**(1/12))-2*x**(1/2)"],
["((1-x)/x)**(1/2)",x,5,"-atan((-1+1/x)**(1/2))+x*(-1+1/x)**(1/2)"],
["cos(x)/(sin(x)+sin(x)**2)",x,2,"ln(sin(x))-ln(1+sin(x))"],
["exp(2*x)/(2+3*exp(x)+exp(2*x))",x,4,"-ln(1+exp(x))+2*ln(2+exp(x))"],
["1/(1+exp(x))**(1/2)",x,3,"-2*atanh((1+exp(x))**(1/2))"],
["(1-exp(x))**(1/2)",x,4,"-2*atanh((1-exp(x))**(1/2))+2*(1-exp(x))**(1/2)"],
["1/(3-5*sin(x))",x,4,"-1/4*ln(cos(1/2*x)-3*sin(1/2*x))+1/4*ln(3*cos(1/2*x)-sin(1/2*x))"],
["1/(cos(x)+sin(x))",x,2,"-1/2*atanh(1/2*(cos(x)-sin(x))*2**(1/2))*2**(1/2)"],
["1/(1-cos(x)+sin(x))",x,2,"-ln(1+cot(1/2*x))"],
["1/(4*cos(x)+3*sin(x))",x,2,"-1/5*atanh(3/5*cos(x)-4/5*sin(x))"],
["1/(sin(x)+tan(x))",x,6,"-1/2*atanh(cos(x))+1/2*cot(x)*csc(x)-1/2*csc(x)**2"],
["1/(2*sin(x)+sin(2*x))",x,4,"1/4*ln(tan(1/2*x))+1/8*tan(1/2*x)**2"],
["sec(x)/(1+sin(x))",x,4,"1/2*atanh(sin(x))-1/2/(1+sin(x))"],
["1/(b*cos(x)+a*sin(x))",x,2,"-atanh((a*cos(x)-b*sin(x))/(a**2+b**2)**(1/2))/(a**2+b**2)**(1/2)"],
["1/(b**2*cos(x)**2+a**2*sin(x)**2)",x,2,"atan(a*tan(x)/b)/a/b"],
["x/(x**2-1)",x,1,"1/2*ln(-x**2+1)"],
["x**(1/2)*(1+x**(1/2))",x,2,"2/3*x**(3/2)+1/2*x**2"],
["1/(1-cos(x))",x,1,"-sin(x)/(1-cos(x))"],
["sec(x)*tan(x)**2",x,2,"-1/2*atanh(sin(x))+1/2*sec(x)*tan(x)"],
["sec(x)**3*tan(x)**3",x,3,"-1/3*sec(x)**3+1/5*sec(x)**5"],
["exp(x**(1/2))",x,3,"-2*exp(x**(1/2))+2*exp(x**(1/2))*x**(1/2)"],
["(x**5+1)/(x**3-3*x**2-10*x)",x,3,"19*x+3/2*x**2+1/3*x**3+3126/35*ln(5-x)-1/10*ln(x)-31/14*ln(2+x)"],
["1/x/ln(x)**(1/2)",x,2,"2*ln(x)**(1/2)"],
["(5+2*x)/(-3+x)",x,2,"2*x+11*ln(3-x)"],
["exp(x+exp(x))",x,2,"exp(exp(x))"],
["cos(x)**2*sin(x)**2",x,3,"1/8*x+1/8*cos(x)*sin(x)-1/4*cos(x)**3*sin(x)"],
["(-cos(x)+sin(x))/(cos(x)+sin(x))",x,1,"-ln(cos(x)+sin(x))"],
["x/(-x**2+1)**(1/2)",x,1,"-(-x**2+1)**(1/2)"],
["x**3*ln(x)",x,1,"-1/16*x**4+1/4*x**4*ln(x)"],
["(-2+x)**(1/2)/(2+x)",x,3,"-4*atan(1/2*(-2+x)**(1/2))+2*(-2+x)**(1/2)"],
["x/(2+x)**2",x,2,"2/(2+x)+ln(2+x)"],
["ln(x**2+1)",x,3,"-2*x+2*atan(x)+x*ln(x**2+1)"],
["(1+ln(x))**(1/2)/x/ln(x)",x,4,"-2*atanh((1+ln(x))**(1/2))+2*(1+ln(x))**(1/2)"],
["(1+x**(1/2))**8",x,3,"-2/9*(1+x**(1/2))**9+1/5*(1+x**(1/2))**10"],
["sec(x)**4*tan(x)**3",x,3,"-1/4*sec(x)**4+1/6*sec(x)**6"],
["x/(x**2-2*x+2)",x,4,"atan(-1+x)+1/2*ln(x**2-2*x+2)"],
["x*asin(x)",x,3,"-1/4*asin(x)+1/2*x**2*asin(x)+1/4*x*(-x**2+1)**(1/2)"],
["(-x**2+9)**(1/2)/x",x,4,"-3*atanh(1/3*(-x**2+9)**(1/2))+(-x**2+9)**(1/2)"],
["x/(x**2+3*x+2)",x,3,"-ln(1+x)+2*ln(2+x)"],
["x**2*cosh(x)",x,3,"-2*x*cosh(x)+2*sinh(x)+x**2*sinh(x)"],
["(x**3+x+1)/(x**4+2*x**2+4*x)",x,1,"1/4*ln(x**4+2*x**2+4*x)"],
["cos(x)/(1+sin(x)**2)",x,2,"atan(sin(x))"],
["cos(x**(1/2))",x,3,"2*cos(x**(1/2))+2*sin(x**(1/2))*x**(1/2)"],
["sin(pi*x)",x,1,"-cos(pi*x)/pi"],
["exp(2*x)/(1+exp(x))",x,3,"exp(x)-ln(1+exp(x))"],
["exp(3*x)*cos(5*x)",x,1,"3/34*exp(3*x)*cos(5*x)+5/34*exp(3*x)*sin(5*x)"],
["cos(3*x)*cos(5*x)",x,1,"1/4*sin(2*x)+1/16*sin(8*x)"],
["1/(x**3+x**2+x+1)",x,5,"1/2*atan(x)+1/2*ln(1+x)-1/4*ln(x**2+1)"],
["x**2*ln(1+x)",x,3,"-1/3*x+1/6*x**2-1/9*x**3+1/3*ln(1+x)+1/3*x**3*ln(1+x)"],
["x**5/exp(x**3)",x,2,"-1/3/exp(x**3)-1/3*x**3/exp(x**3)"],
["tan(4*x)**2",x,2,"-x+1/4*tan(4*x)"],
["1/(9*x**2+12*x-5)**(1/2)",x,2,"1/3*atanh((2+3*x)/(9*x**2+12*x-5)**(1/2))"],
["x**2*atan(x)",x,4,"-1/6*x**2+1/3*x**3*atan(x)+1/6*ln(x**2+1)"],
["(1-x**(1/2))/x**(1/3)",x,2,"3/2*x**(2/3)-6/7*x**(7/6)"],
["1/(-1/exp(x)+exp(x))",x,2,"-atanh(exp(x))"],
["x/(x**4+2*x**2+10)",x,3,"1/6*atan(1/3*x**2+1/3)"],
["1/(1/x**(1/3)+x)",x,2,"3/4*ln(1+x**(4/3))"],
["cos(x)**4*sin(x)**2",x,4,"1/16*x+1/16*cos(x)*sin(x)+1/24*cos(x)**3*sin(x)-1/6*cos(x)**5*sin(x)"],
["1/(-x**2-4*x+5)**(1/2)",x,2,"asin(2/3+1/3*x)"],
["x/(1-x**2+(-x**2+1)**(1/2))",x,3,"-ln(1+(-x**2+1)**(1/2))"],
["(1+cos(x))*csc(x)",x,2,"ln(1-cos(x))"],
["exp(x)/(-1+exp(2*x))",x,2,"-atanh(exp(x))"],
["1/(x**3-8)",x,6,"1/12*ln(2-x)-1/24*ln(x**2+2*x+4)-1/12*atan(1/3*(1+x)*3**(1/2))*3**(1/2)"],
["x**5*cosh(x)",x,6,"-120*cosh(x)-60*x**2*cosh(x)-5*x**4*cosh(x)+120*x*sinh(x)+20*x**3*sinh(x)+x**5*sinh(x)"],
["ln(tan(x))/cos(x)/sin(x)",x,1,"1/2*ln(tan(x))**2"],
["x**3+x**2-2*x",x,1,"-x**2+1/3*x**3+1/4*x**4"],
["(1+exp(x))/(1-exp(x))",x,3,"x-2*ln(1-exp(x))"],
["x/(x**2+1)/(x**2+4)",x,4,"1/6*ln(x**2+1)-1/6*ln(x**2+4)"],
["1/(4-5*sin(x))",x,4,"-1/3*ln(cos(1/2*x)-2*sin(1/2*x))+1/3*ln(2*cos(1/2*x)-sin(1/2*x))"],
["x*(c+x)**(1/3)",x,2,"-3/4*c*(c+x)**(4/3)+3/7*(c+x)**(7/3)"],
["exp(x**(1/3))",x,4,"6*exp(x**(1/3))-6*exp(x**(1/3))*x**(1/3)+3*exp(x**(1/3))*x**(2/3)"],
["1/(4+x+(1+x)**(1/2))",x,5,"ln(4+x+(1+x)**(1/2))-2/11*atan(1/11*(1+2*(1+x)**(1/2))*11**(1/2))*11**(1/2)"],
["(x**3+1)/(x**3-x**2)",x,3,"1/x+x+2*ln(1-x)-ln(x)"],
["(x**2+4*x-3)*sin(2*x)",x,8,"7/4*cos(2*x)-2*x*cos(2*x)-1/2*x**2*cos(2*x)+sin(2*x)+1/2*x*sin(2*x)"],
["cos(cos(x))*sin(x)",x,2,"-sin(cos(x))"],
["1/(-x**2+16)**(1/2)",x,1,"asin(1/4*x)"],
["x**3/(1+x)**10",x,2,"1/9/(1+x)**9-3/8/(1+x)**8+3/7/(1+x)**7-1/6/(1+x)**6"],
["cot(2*x)**3*csc(2*x)**3",x,3,"1/6*csc(2*x)**3-1/10*csc(2*x)**5"],
["(x+sin(x))**2",x,6,"1/2*x+1/3*x**3-2*x*cos(x)+2*sin(x)-1/2*cos(x)*sin(x)"],
["exp(atan(x))/(x**2+1)",x,1,"exp(atan(x))"],
["1/x/(x**4+1)",x,4,"ln(x)-1/4*ln(x**4+1)"],
["t**3/exp(2*t)",t,4,"-3/8/exp(2*t)-3/4*t/exp(2*t)-3/4*t**2/exp(2*t)-1/2*t**3/exp(2*t)"],
["t**(1/2)/(1+t**(1/3))",t,7,"-6*t**(1/6)-6/5*t**(5/6)+6/7*t**(7/6)+6*atan(t**(1/6))+2*t**(1/2)"],
["sin(x)*sin(2*x)*sin(3*x)",x,5,"-1/8*cos(2*x)-1/16*cos(4*x)+1/24*cos(6*x)"],
["ln(1/2*x)",x,1,"-x+x*ln(1/2*x)"],
["((1+x)/(1-x))**(1/2)",x,3,"2*atan(((1+x)/(1-x))**(1/2))-(1-x)*((1+x)/(1-x))**(1/2)"],
["x*ln(x)/(x**2-1)**(1/2)",x,5,"atan((x**2-1)**(1/2))-(x**2-1)**(1/2)+ln(x)*(x**2-1)**(1/2)"],
["(a+x)/(a**2+x**2)",x,3,"atan(x/a)+1/2*ln(a**2+x**2)"],
["(-x**2+x+1)**(1/2)",x,3,"-5/8*asin(1/5*(1-2*x)*5**(1/2))-1/4*(1-2*x)*(-x**2+x+1)**(1/2)"],
["x**4/(x**10+16)",x,2,"1/20*atan(1/4*x**5)"],
["(2+x)/(x**2+x+2)",x,4,"1/2*ln(x**2+x+2)+3/7*atan(1/7*(1+2*x)*7**(1/2))*7**(1/2)"],
["x*sec(x)*tan(x)",x,2,"-atanh(sin(x))+x*sec(x)"],
["x/(-a**4+x**4)",x,2,"-1/2*atanh(x**2/a**2)/a**2"],
["1/(x**(1/2)+(1+x)**(1/2))",x,3,"-2/3*x**(3/2)+2/3*(1+x)**(3/2)"],
["1/(1-1/exp(x)+2*exp(x))",x,4,"1/3*ln(1-2*exp(x))-1/3*ln(1+exp(x))"],
["atan(x**(1/2))/x**(1/2)",x,2,"-ln(1+x)+2*atan(x**(1/2))*x**(1/2)"],
["ln(1+x)/x**2",x,4,"ln(x)-ln(1+x)-ln(1+x)/x"],
["1/(-exp(x)+exp(3*x))",x,3,"exp(-x)-atanh(exp(x))"],
["(1+cos(x)**2)/(1-cos(x)**2)",x,4,"-x-2*cot(x)"],
["1/x/(-25+2*x)**(1/2)",x,2,"2/5*atan(1/5*(-25+2*x)**(1/2))"],
["sin(2*x)/(9-cos(x)**4)**(1/2)",x,5,"-asin(1/3*cos(x)**2)"],
["x**2/(-4*x**2+5)**(1/2)",x,2,"5/16*asin(2/5*x*5**(1/2))-1/8*x*(-4*x**2+5)**(1/2)"],
["x**3*sin(x)",x,4,"6*x*cos(x)-x**3*cos(x)-6*sin(x)+3*x**2*sin(x)"],
["x*(x**2+2*x+4)**(1/2)",x,4,"1/3*(x**2+2*x+4)**(3/2)-3/2*asinh(1/3*(1+x)*3**(1/2))-1/2*(1+x)*(x**2+2*x+4)**(1/2)"],
["x*(x**2+5)**8",x,1,"1/18*(x**2+5)**9"],
["cos(x)**2*sin(x)**5",x,3,"-1/3*cos(x)**3+2/5*cos(x)**5-1/7*cos(x)**7"],
["cos(4*x)/exp(3*x)",x,1,"-3/25*cos(4*x)/exp(3*x)+4/25*sin(4*x)/exp(3*x)"],
["csc(1/2*x)**3",x,2,"-atanh(cos(1/2*x))-cot(1/2*x)*csc(1/2*x)"],
["(9*x**2-1)**(1/2)/x**2",x,3,"3*atanh(3*x/(9*x**2-1)**(1/2))-(9*x**2-1)**(1/2)/x"],
["(-3*x**2+4)**(1/2)/x",x,4,"-2*atanh(1/2*(-3*x**2+4)**(1/2))+(-3*x**2+4)**(1/2)"],
["exp(3*x)*x**2",x,3,"2/27*exp(3*x)-2/9*exp(3*x)*x+1/3*exp(3*x)*x**2"],
["cos(x)*sin(x)/(1+sin(x))**(1/2)",x,3,"2/3*(1+sin(x))**(3/2)-2*(1+sin(x))**(1/2)"],
["x*asin(x**2)",x,3,"1/2*x**2*asin(x**2)+1/2*(-x**4+1)**(1/2)"],
["x**3*asin(x**2)",x,5,"-1/8*asin(x**2)+1/4*x**4*asin(x**2)+1/8*x**2*(-x**4+1)**(1/2)"],
["exp(x)*sech(exp(x))",x,2,"atan(sinh(exp(x)))"],
["x**2*cos(3*x)",x,3,"2/9*x*cos(3*x)-2/27*sin(3*x)+1/3*x**2*sin(3*x)"],
["(-x**2-4*x+5)**(1/2)",x,3,"9/2*asin(2/3+1/3*x)+1/2*(2+x)*(-x**2-4*x+5)**(1/2)"],
["x**5/(x**2+2**(1/2))",x,3,"1/4*x**4+ln(x**2+2**(1/2))-1/2*x**2*2**(1/2)"],
["sec(x)**5",x,3,"3/8*atanh(sin(x))+3/8*sec(x)*tan(x)+1/4*sec(x)**3*tan(x)"],
["sin(2*x)**6",x,4,"5/16*x-5/32*cos(2*x)*sin(2*x)-5/48*cos(2*x)*sin(2*x)**3-1/12*cos(2*x)*sin(2*x)**5"],
["cos(x)*ln(sin(x))*sin(x)**2",x,4,"-1/9*sin(x)**3+1/3*ln(sin(x))*sin(x)**3"],
["1/exp(x)/(1+2*exp(x))",x,3,"-1/exp(x)-2*x+2*ln(1+2*exp(x))"],
["(2+3*cos(x))**(1/2)*tan(x)",x,4,"2*atanh(1/2*(2+3*cos(x))**(1/2)*2**(1/2))*2**(1/2)-2*(2+3*cos(x))**(1/2)"],
["x/(x**2-4*x)**(1/2)",x,3,"4*atanh(x/(x**2-4*x)**(1/2))+(x**2-4*x)**(1/2)"],
["cos(x)**5",x,2,"sin(x)-2/3*sin(x)**3+1/5*sin(x)**5"],
["x**4/exp(x)",x,5,"-24/exp(x)-24*x/exp(x)-12*x**2/exp(x)-4*x**3/exp(x)-x**4/exp(x)"],
["x**4/(x**10-2)**(1/2)",x,3,"1/5*atanh(x**5/(x**10-2)**(1/2))"],
["exp(x)*cos(4+3*x)",x,1,"1/10*exp(x)*cos(4+3*x)+3/10*exp(x)*sin(4+3*x)"],
["exp(x)*ln(1+exp(x))",x,4,"-exp(x)+(1+exp(x))*ln(1+exp(x))"],
["x**2*atan(x)",x,4,"-1/6*x**2+1/3*x**3*atan(x)+1/6*ln(x**2+1)"],
["(-1+exp(2*x))**(1/2)",x,4,"-atan((-1+exp(2*x))**(1/2))+(-1+exp(2*x))**(1/2)"],
["exp(sin(x))*sin(2*x)",x,4,"-2*exp(sin(x))+2*exp(sin(x))*sin(x)"],
["x**2*(-x**2+5)**(1/2)",x,3,"25/8*asin(1/5*x*5**(1/2))-5/8*x*(-x**2+5)**(1/2)+1/4*x**3*(-x**2+5)**(1/2)"],
["x**2*(x**3+1)**4",x,1,"1/15*(x**3+1)**5"],
["cos(x)**3*sin(x)**3",x,3,"1/4*sin(x)**4-1/6*sin(x)**6"],
["sec(x)**4*tan(x)**2",x,3,"1/3*tan(x)**3+1/5*tan(x)**5"],
["x*(1+2*x)**(1/2)",x,2,"-1/6*(1+2*x)**(3/2)+1/10*(1+2*x)**(5/2)"],
["sin(x)**4",x,3,"3/8*x-3/8*cos(x)*sin(x)-1/4*cos(x)*sin(x)**3"],
["tan(x)**3",x,2,"ln(cos(x))+1/2*tan(x)**2"],
["x**5*(x**2+1)**(1/2)",x,3,"1/3*(x**2+1)**(3/2)-2/5*(x**2+1)**(5/2)+1/7*(x**2+1)**(7/2)"]]
